org.eclipse.microprofile.metrics.tck.metrics

## Class ConcreteTimedBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.AbstractGenericBean
  - - org.eclipse.microprofile.metrics.tck.metrics.ConcreteTimedBean

    @Timed
    public class ConcreteTimedBean
    extends AbstractGenericBean

### Constructor Summary

Constructors
Constructor and Description
`ConcreteTimedBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `timedMethod()`

### Methods inherited from class org.eclipse.microprofile.metrics.tck.metrics.AbstractGenericBean

`normallyNotTimedMethod`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcreteTimedBean

    public ConcreteTimedBean()

### Method Detail

#### timedMethod

    public void timedMethod()